set File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_SET

## Typedefs

template<typename _Key, typename _Cmp = std::less<_Key>>
using | std::pmr::multiset
template<typename _Key, typename _Cmp = std::less<_Key>>
using | std::pmr::set

## Functions

template<typename _Key, typename _Compare, typename _Alloc, typename _Predicate>
multiset< _Key, _Compare, _Alloc >::size_type | std::erase_if (multiset< _Key, _Compare, _Alloc > &__cont, _Predicate __pred)
template<typename _Key, typename _Compare, typename _Alloc, typename _Predicate>
set< _Key, _Compare, _Alloc >::size_type | std::erase_if (set< _Key, _Compare, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a Standard C++ Library header.

Definition in file set.

## Macro Definition Documentation

## _GLIBCXX_SET

#define _GLIBCXX_SET

Definition at line 56 of file set.

## Typedef Documentation

## multiset

template<typename _Key, typename _Cmp = std::less<_Key>>

using std::pmr::multiset

Definition at line 82 of file set.

## set

template<typename _Key, typename _Cmp = std::less<_Key>>

using std::pmr::set

Definition at line 80 of file set.